#ifndef CONFIGURATIONWRITERREADER_H
#define CONFIGURATIONWRITERREADER_H

#include "rumd/ConfigurationMetaData.h"


class Sample;

class ConfigurationWriterReader {
public:
  ConfigurationMetaData metaData;
  ConfigurationWriterReader() : metaData(), rumd_conf_ioformat(1), verbose(false) {}
  void Write(Sample* S, const std::string& filename, const std::string& mode);
  void Read(Sample* S, const std::string& filename);
  void SetVerbose(bool vb) { verbose = vb; }
private:
  const unsigned int rumd_conf_ioformat;
  bool verbose;
};

#endif // CONFIGURATIONWRITERREADER_H
