#ifndef RUMD_ERROR_H
#define RUMD_ERROR_H

#include <string>

class RUMD_Error 
{
public:
  RUMD_Error(const std::string& className, 
	     const std::string& methodName,
	     const std::string& errorStr) : className(className),
					    methodName(methodName),
					    errorStr(errorStr)

  {}
  std::string className;
  std::string methodName;
  std::string errorStr;
};

#endif // RUMD_ERROR_H
